import type { Route } from "next";
import {
  BarChart4,
  Bolt,
  BookA,
  BookText,
  Building,
  CircleUser,
  Cloudy,
  FlaskConical,
  FlaskRound,
  GitCommitHorizontal,
  Key,
  LucideIcon,
  Ruler,
  Sparkles,
  Users,
  Wrench,
} from "lucide-react";

export type NavItem = {
  href: Route;
  title: string;
  badge?: string;
  icon?: LucideIcon;
};

export type GroupedNavItems = {
  group: string;
  items: NavItem[];
};

export const sideNavItems: GroupedNavItems[] = [
  {
    group: "EVALUATION",
    items: [
      {
        href: "/dashboard/new-analysis",
        title: "Create New Analysis",
        icon: FlaskConical,
      },
      {
        href: "/dashboard/analysis",
        title: "Analysis",
        icon: FlaskRound,
      },
    ],
  },
  {
    group: "COURSE",
    items: [
      {
        href: "/dashboard/courses",
        title: "Your Courses",
        icon: BookText,
      },
    ],
  },
  {
    group: "ADMIN",
    items: [
      {
        href: "/dashboard/users",
        title: "Users",
        icon: Users,
      },
      {
        href: "/dashboard/organizations",
        title: "Organizations",
        icon: Building,
      },
      {
        href: "/dashboard/accounts",
        title: "Accounts",
        icon: CircleUser,
      },
      {
        href: "/dashboard/preferences",
        title: "Preferences",
        icon: Bolt,
      },
      {
        href: "/dashboard/configurations",
        title: "Configurations",
        icon: Wrench,
      },
      {
        href: "/dashboard/api-communications",
        title: "Api Communication",
        icon: Cloudy,
      },
      {
        href: "/dashboard/course-admin",
        title: "Course Admin",
        icon: BookA,
      },
    ],
  },

  {
    group: "ACCOUNT",
    items: [
      {
        href: "/dashboard/change-password",
        title: "Change Password",
        icon: Key,
      },
    ],
  },
  {
    group: "EVALUATIONS",
    items: [
      {
        href: "/dashboard/criteria",
        title: "Criteria",
        icon: Ruler,
      },
      {
        href: "/dashboard/skill",
        title: "Skill",
        icon: Sparkles,
      },
      {
        href: "/dashboard/evaluation",
        title: "Evaluation",
        icon: BarChart4,
      },
      {
        href: "/dashboard/commit",
        title: "Commit",
        icon: GitCommitHorizontal,
      },
    ],
  },
];


